Bug 167525 - Review Request: cpptasks
Review Request: cpptasks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jerry James
David Lawrence
http://ant-contrib.sourceforge.net/cc...
: Reopened
Depends On:
Blocks: 439627 572512
  Show dependency treegraph
 
Reported: 2005-09-03 22:08 EDT by Anthony Green
Modified: 2010-03-11 07:29 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 13:14:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
loganjerry: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Anthony Green 2005-09-03 22:08:38 EDT
Spec Name or Url: http://spindazzle.org/FE/devel/cpptasks.spec
SRPM Name or Url: http://spindazzle.org/FE/devel/cpptasks-1.0-0.b3.2jpp_1.src.rpm
Description: This Ant task can compile various source languages
and produce executables, shared libraries
(aka DLL's) and static libraries. Compiler
adaptors are currently available for several
C/C++ compilers, FORTRAN, MIDL and Windows
Resource files.

This is taken from jpackage.org, and slightly modified based on my jogl spec file review experience.

I've left this as a noarch RPM for now, since it's not speed-critical and will only ever show up in a BuildRequires.

The upstream jogl source distribution includes a bundled cpptasks jar file (needed at build-time only).   I just realized that my jogl package should be using a cpptasks built from source, not the bundled .jar file.   Once this is approved for FE, I will check in my jogl changes to strip out the bundled cpptasks and use this one instead.

Thanks, 

AG
Comment 1 Gérard Milmeister 2005-09-12 14:13:17 EDT
- rpmlint for cpptasks-1.0-0.b3.2jpp_1.fc4.noarch.rpm:
W: cpptasks incoherent-version-in-changelog 0:1.0-0.b3.2jpp_1.fc4
1.0-0.b3.2jpp_1.fc4
W: cpptasks invalid-license Apache Software License 2.0
W: cpptasks wrong-file-end-of-line-encoding /usr/share/doc/cpptasks-1.0/NOTICE

- rpmlint for cpptasks-1.0-0.b3.2jpp_1.fc4.noarch.rpm:
W: cpptasks-javadoc non-standard-group Development/Documentation
W: cpptasks-javadoc invalid-license Apache Software License 2.0

- rpmlint for cpptasks-manual-1.0-0.b3.2jpp_1.fc4.noarch.rpm:
W: cpptasks-manual non-standard-group Development/Documentation
W: cpptasks-manual invalid-license Apache Software License 2.0
W: cpptasks-manual wrong-file-end-of-line-encoding
/usr/share/doc/cpptasks-1.0/manual/api/net/sf/antcontrib/cpptasks/DistributerDef.html
...

The wrong-file-end-of-line-encoding is annoying, I wouldn't care about it.
The license is probably simply "Apache Software License"

- maybe the description text should be formatted to about 70 columns
- BuildRoot should be
  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
- Summary: Compile and link task for ant
Comment 2 Kevin Fenzi 2006-12-05 23:12:39 EST
FYI, it seems that at least currently, the "jpp" tag isn't allowed in the
Release tag in extras packages. Can you remove the jpp and update?
Comment 3 Jason Tibbitts 2007-05-07 00:55:29 EDT
It's been several months since the last comment; we have naming guidelines for
jpackage stuff now and changes in a few other guidelines.  Perhaps this review
could move forward.
Comment 4 Jason Tibbitts 2007-05-23 22:05:00 EDT
Or perhaps not.  I'll go ahead and close this ticket in one week if there's no
response.
Comment 5 D Haley 2009-03-13 23:06:55 EDT
Spec URL: http://dhd.selfip.com/427e/cpptasks.spec
SRPM URL: http://dhd.selfip.com/427e/cpptasks-1.0b5-1.fc10.src.rpm

rpmlint output:
$ rpmlint cpptasks.spec ../SRPMS/cpptasks-1.0b5-1.fc10.src.rpm ../RPMS/noarch/cpptasks-1.0b5-1.fc10.noarch.rpm ../RPMS/noarch/cpptasks-javadoc-1.0b5-1.fc10.noarch.rpm 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

koji scratch builds:
F10: http://koji.fedoraproject.org/koji/taskinfo?taskID=1241040
F9: http://koji.fedoraproject.org/koji/taskinfo?taskID=1241048

Changelog:
* Sat Mar 14 2009 D Haley <mycae@yahoo.com> - 1.0b5-1
- Update to b5
- cpptasks now uses difficult mvn-doxia xdoc, so remove manual subpackage
- Add distribution jar check
- EOL conversion on NOTICE
- Change summary & format description
- Fix BuildRoot
- Change licence to ASL 2.0 from Apache Software Licence 2.0


Comments/issues:
I have removed the manual sub-package, as the project now uses maven-doxia. I tried to get this to build, but even with upgrading my commons-cli to testing (bug 453018) and modifying their POM, I was unable to get mvn-jpp to actually build the "site" target (lifecycle phase, whatever). I don't see this as totally detrimental as you can access their documentation on their website anyway, all the "site" target does is rebuild that as a local copy.
Comment 6 Henrique "LonelySpooky" Junior 2009-05-29 22:07:08 EDT
Hello, Haley,
Using this srpm for a test I was able to build the RPM for cpptasks, but things seems to have been quiet around here. Does the problems still persist?
Comment 7 D Haley 2009-05-30 20:52:36 EDT
Hello Henrique, 
This package is awaiting review. A sponsored packager needs to review my proposal for correctness before it can be submitted to the fedora repository.
Comment 8 Jerry James 2009-08-27 11:36:00 EDT
I would have found this sooner if it wasn't marked CLOSED NOTABUG and blocked FE-DEADREVIEW. :-)

Is there a reason for not building with gcj?  If so, please include an explanatory comment at the top of the spec file.  If not, please add the aot compilation bits.

There is ongoing work to migrate to maven 2.0.8.  Does this package need to wait for that release of maven in order to build the manual?  Although it appears someone will have to package these first anyway:

http://clirr.sourceforge.net/
http://mojo.codehaus.org/clirr-maven-plugin/

In the absence of a manual, how about putting a URL to the online manual in the description or in a README.fedora?

Does this package need to drop a file into /etc/ant.d?

MUST items:
OK: rpmlint out

2 packages and 1 specfiles checked; 0 errors, 0 warnings.

OK: package name
OK: spec filename matches package name
XX: packaging guidelines are met

https://fedoraproject.org/wiki/Packaging:Java#BuildRequires_and_Requires requires that jpackage-utils also be a Requires, that java-devel be a BuildRequires, and that java be a Requires.

OK: licensing guidelines
OK: license field matches actual license
OK: license file in %doc
OK: spec file in American English
OK: spec file is legible (but put a blank line between the first 2 %changelog entries, please)
OK: source matches upstream (checked with md5sum)
OK: package builds successfully on at least one primary arch
NA: appropriate use of ExcludeArch
OK: all build dependencies in BuildRequires
NA: proper handling of locales
NA: ldconfig invocation
OK: no relocatable packages
XX: package owns all directories it creates

This package does not own /usr/share/doc/cpptasks, which is the wrong name anyway (no version).  Please replace the %doc lines for the base package with this:

%doc LICENSE NOTICE

OK: no duplicate listings in %files
OK: correct permissions on files
OK: %clean section
OK: consistent use of macros
OK: code or permissible content
OK: large documentation in -doc (more information needed on the manual, though; see above)
OK: no runtime dependencies in %doc
NA: header files -in -devel
NA: static libraries in -static
NA: requires pkgconfig
NA: .so files in -devel
NA: -devel requires base package
OK: no libtool archives
NA: GUI applications need a desktop file
OK: do not own files/dirs owned by other packages
OK: clean at top of %install
OK: all filenames are valid UTF-8

SHOULD items:
NA: ask upstream to include a license file
NA: include translated description and summary
OK: package builds in mock (tried x86_64 Fedora 11 only)
??: package builds on all supported arches (did not check)
??: package functions as described (I don't know how to check)
OK: sane scriptlets
XX: subpackages require the base package

The -javadoc subpackage does not require the base package.

NA: placement of pkgconfig files
NA: file dependencies
Comment 9 D Haley 2009-08-28 08:59:03 EDT
SPEC URL: http://dhd.selfip.com/427e/cpptasks-1.0b5-2.spec
SRPM URL: http://dhd.selfip.com/427e/cpptasks-1.0b5-2.fc10.src.rpm 

RPMLint:
$ cat tmp
Wrote: /home/makerpm/rpmbuild/SRPMS/cpptasks-1.0b5-2.fc10.src.rpm
Wrote: /home/makerpm/rpmbuild/RPMS/noarch/cpptasks-1.0b5-2.fc10.noarch.rpm
Wrote: /home/makerpm/rpmbuild/RPMS/noarch/cpptasks-javadoc-1.0b5-2.fc10.noarch.rpm

$ rpmlint -v `cat tmp | awk '{print $2}'`
cpptasks.src: I: checking
cpptasks.noarch: I: checking
cpptasks.noarch: W: non-conffile-in-etc /etc/ant.d/cpptasks
cpptasks-javadoc.noarch: I: checking
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

I'm ignoring the warning, as I don't think this should be marked as a configuration file. Users should *not* be modifying this file in any way.

Koji:
F10:http://koji.fedoraproject.org/koji/taskinfo?taskID=1640839
F11:http://koji.fedoraproject.org/koji/taskinfo?taskID=1640849

>I would have found this sooner if it wasn't marked CLOSED NOTABUG and blocked
>FE-DEADREVIEW. :-)
Mea culpa.

>In the absence of a manual, how about putting a URL to the online manual in the
>description or in a README.fedora?

Good idea. Done.

> Does this package need to wait for that release of maven in order to build the manual?
Well, I don't know. It needs the clirr plugins, so it isn't going to build at the moment. I must admit I find maven somewhat opaque, and am not overly keen on packaging clirr. If it gets packaged, I will update however.

>Is there a reason for not building with gcj? 
Sorry, not sure why this needs to be done.  If licencing is the concern, Sun's javac has been free (as in software) for quite a while now, I believe since F9. I note that packages such as maven2-plugin-release use OpenJDK in preference to gcj...

> Does this package need to drop a file into /etc/ant.d?
Yes, Fixed. I also moved the jar file + symlink to %{_javadir}/ant/, in line with other ant tasks (ant-commons-logging,ant-junit, etc)

>The -javadoc subpackage does not require the base package.
Fixed.

>Please replace the %doc lines for the base package with this:
Fixed, however I also added README.fedora as well.


Thanks for the review.
Comment 10 Jerry James 2009-08-28 14:07:21 EDT
> Well, I don't know. It needs the clirr plugins, so it isn't going to build at
> the moment. I must admit I find maven somewhat opaque, and am not overly keen
> on packaging clirr. If it gets packaged, I will update however.

I've had a look, and clirr just isn't going to happen for Fedora.  First, it's a dead project.  Second, it only builds with maven1, NOT maven2.  But it's not needed for building the manual, anyway, is it?  I think we can just patch the clirr-related parts out of build.xml.

> >Is there a reason for not building with gcj? 
> Sorry, not sure why this needs to be done.  If licencing is the concern, Sun's
> javac has been free (as in software) for quite a while now, I believe since F9.
> I note that packages such as maven2-plugin-release use OpenJDK in preference to
> gcj...

Last I heard, OpenJDK on PPC/PPC64 is 1 or 2 orders of magnitude slower than gcj-generated code.  GCJ support is not a MUST item, so I won't block the review on this point.  Personally, I'd be happy to see gcj-compiled code go away and all Java packages become noarch.  For that to happen, though, the speed problems with OpenJDK need to be fixed.  I don't know who is working on that or what the status is.

So, going over the list again, java-devel still isn't a BR, but it's pulled in by ant, so I guess that's okay.  Everything else is fixed, so this package is APPROVED.
Comment 11 D Haley 2009-08-28 20:49:40 EDT
New Package CVS Request
=======================
Package Name: cpptasks
Short Description: Compile and link task for ant
Owners: mycae
Branches: F-10 F-11 EL-5
InitialCC:
Comment 12 Kevin Fenzi 2009-08-28 23:21:18 EDT
cvs done.
Comment 13 Fedora Update System 2009-08-29 00:01:55 EDT
cpptasks-1.0b5-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-2.fc10
Comment 14 Fedora Update System 2009-08-29 00:07:13 EDT
cpptasks-1.0b5-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-2.fc11
Comment 15 Jerry James 2009-08-31 12:06:09 EDT
I don't see a Rawhide build of this package.  Is there a problem on Rawhide?
Comment 16 Fedora Update System 2009-08-31 19:39:53 EDT
cpptasks-1.0b5-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpptasks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9177
Comment 17 Fedora Update System 2009-08-31 19:41:47 EDT
cpptasks-1.0b5-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpptasks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9186
Comment 18 Fedora Update System 2009-09-03 09:47:56 EDT
cpptasks-1.0b5-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-4.fc10
Comment 19 Fedora Update System 2009-09-03 09:48:04 EDT
cpptasks-1.0b5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-3.fc11
Comment 20 Fedora Update System 2009-09-04 00:04:49 EDT
cpptasks-1.0b5-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpptasks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9278
Comment 21 Fedora Update System 2009-09-04 00:05:08 EDT
cpptasks-1.0b5-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cpptasks'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9281
Comment 22 Fedora Update System 2009-09-11 23:44:03 EDT
cpptasks-1.0b5-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-5.fc11
Comment 23 Fedora Update System 2009-09-11 23:44:12 EDT
cpptasks-1.0b5-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/cpptasks-1.0b5-5.fc10
Comment 24 Fedora Update System 2009-10-03 14:54:11 EDT
cpptasks-1.0b5-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2009-10-03 15:12:01 EDT
cpptasks-1.0b5-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 26 Jerry James 2009-11-19 13:14:16 EST
This is available on all supported releases, so I'm closing the bug.

Note You need to log in before you can comment on or make changes to this bug.